[Løsning] The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG

Simpel rettelse af fejl "The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key”, der vises, når du forsøger at opdatere pakker på Debian-systemer.

Err:10 https://packages.sury.org/php bullseye InRelease
  The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
Fetched 14.1 kB in 1s (14.5 kB/s)
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://packages.sury.org/php bullseye InRelease: The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
W: Failed to fetch https://packages.sury.org/php/dists/bullseye/InRelease  The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key <deb@sury.org>
W: Some index files failed to download. They have been ignored, or old ones used instead.

Denne fejl forhindrer også pakker i at blive opdateret på Debians servere med WordUps. (wo stack upgrade).

Relateret: Sådan installerer og konfigurerer du LEMP på Debian 12

The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key

Denne fejl opstår, fordi sury.org har ændret den digitale signaturnøgle til Debian, og for at løse problemet skal du downloade den nye nøgle.

apt-key adv --fetch-keys https://packages.sury.org/php/apt.gpg

Efter at have kørt denne kommando, kan du opdatere alle Debian-pakker:

apt update && apt upgrade

Dem der bruger WordOps kører kommandolinjen:

wo stack upgrade

Alt vil fungere uden problemer med at opdatere pakker på Debian.

Teknologientusiast, jeg skriver med glæde på StealthSettings.com siden 2006. Jeg har rig erfaring med operativsystemer: macOS, Windows og Linux, samt programmeringssprog og blogplatforme (WordPress) og til onlinebutikker (WooCommerce, Magento, PrestaShop).

Hvordan man » Linux » [Løsning] The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG
Efterlad en kommentar